Opening Game

To open a specific game, the operator should use the game URL provided by Naga Games along with the specified parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Please Note!

Operators are required to make a preliminary call to the "Get All Games" API endpoint before using the Opening Game API. This call enables them to retrieve a list of available game URLs.

Query Parameters

Parameter NameDescriptionData typeStatus
playerTokenUnique token of the playerString (length: 255)Required
groupCodeAuto-generated code of the group in Naga Games’s databaseString (length: 4)Required
brandCodeAuto-generated code of the brand in Naga Games’s databaseString (length: 4)Required
redirectUrl

A link to a page on Operator's side which player will be redirected to if they choose to close or quit the game.

Note:
Please don't encode the URL.

Example:

Wrong: https%3A%2F%2Fgoogle.com
Correct: https://nagagames.com

String (length: 255)Optional
languageLanguage in which the game is opened. Available values are (Language code in ISO 639-1 standard):
  • en - English
  • zh - Chinese
  • th - Thai
  • id - Indonesian
  • ko - Korean
  • ja - Japanese
StringOptional
isFun

Turn on fun mode for players when isFun=true. Fun mode is not enabled by default. Operators need to contact Technical Support team to enable this feature.

For fun mode, Operators do not need to provide playerToken. groupCode, brandCode, and isFun are required

Example:

https://stg-bonanza.azureedge.net?groupCode=dpae&brandCode=dtdr&redirectUrl=https://api-demo-operator.stg.game.topplatform.online&isFun=true

StringOptional

Example

Real Mode

https://stg-bonanza.azureedge.net/
?playerToken=39af0e52dbe5acefc6d2fe5f9639d3d9
&groupCode=dpae
&brandCode=dtdr
&redirectUrl=https://api-demo-operator.stg.game.topplatform.online

Fun Mode

https://stg-bonanza.azureedge.net/groupCode=dpae&brandCode=dtdr&isFun=true
Query Params
string
required
Defaults to 39af0e52dbe5acefc6d2fe5f9639d3d9

Unique token of the player

string
required
Defaults to dpae

Auto-generated code of the group in Naga’s database

string
required
Defaults to dtdr

Auto-generated code of the brand in Naga’s database

string
Defaults to https://api-demo-operator.game-stg.topasianplatform.com

A link to a page on the Operator’s side, which the player will be redirected to if they choose to close the game

string

Language in which the game is opened. Available values are (Language code in ISO 639-1 standard): en - English; zh - Chinese; th - Thai; id - Indonesian; ko - Korean; ja - Japanese.

string
Defaults to true

Turn on fun mode for players. Fun mode is not enabled by default. Operators need to contact Technical Support team to enable this feature.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json